Subject: Re: [devuan-dev] bug#900: procps: w does not query elogind for sessions

From: Andrew Bower <[email-masked]>
Date: Fri, 8 Aug 2025 23:06:30 +0100

Hi Mark,

On Fri, Aug 08, 2025 at 10:56:34PM +0100, Andrew Bower wrote:
> Here is a patch that restores utmp writing to uses of login(1), which
> fixes the reporting of virtual console sessions in 'w' on Devuan.
> 
> https://git.devuan.org/abower/util-linux/pulls/1

Sorry, I'm not familiar with gitea and ended up raising the PR on my
own fork! Here's a proper one:

https://git.devuan.org/devuan/util-linux/pulls/1

I am not cognisant of the workflow for contributing to Devuan packages
so let me know if there's anything else I can do to help!

Thanks,

Andrew